package com.ztmap.project.zhny.strategytarget.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 目标对象 t_strategy_target
 * 
 * @author ztmap
 * @date 2023-10-11
 */
public class TStrategyTarget
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 生效条件ID */
    @Excel(name = "生效条件ID")
    private Long conditionId;

    /** 目标类型（1：灯光 2：空调 3：动效走势） */
    @Excel(name = "目标类型", readConverterExp = "1=：灯光,2=：空调,3=：动效走势")
    private Long targetType;

    /** 灯光亮度 */
    @Excel(name = "灯光亮度")
    private Double lightingNum;

    /** 空调温度 */
    @Excel(name = "空调温度")
    private Long ktwd;

    /** 空调风速 */
    @Excel(name = "空调风速")
    private Long ktfs;

    /** 动效走势（1：日上网 2：日购电 3：放电量 4：日充电 5：日自用） */
    @Excel(name = "动效走势", readConverterExp = "1=：日上网,2=：日购电,3=：放电量,4=：日充电,5=：日自用")
    private Long dxzs;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setConditionId(Long conditionId)
    {
        this.conditionId = conditionId;
    }

    public Long getConditionId()
    {
        return conditionId;
    }
    public void setTargetType(Long targetType)
    {
        this.targetType = targetType;
    }

    public Long getTargetType()
    {
        return targetType;
    }
    public void setLightingNum(Double lightingNum)
    {
        this.lightingNum = lightingNum;
    }

    public Double getLightingNum()
    {
        return lightingNum;
    }
    public void setKtwd(Long ktwd)
    {
        this.ktwd = ktwd;
    }

    public Long getKtwd()
    {
        return ktwd;
    }
    public void setKtfs(Long ktfs)
    {
        this.ktfs = ktfs;
    }

    public Long getKtfs()
    {
        return ktfs;
    }
    public void setDxzs(Long dxzs)
    {
        this.dxzs = dxzs;
    }

    public Long getDxzs()
    {
        return dxzs;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("conditionId", getConditionId())
            .append("targetType", getTargetType())
            .append("lightingNum", getLightingNum())
            .append("ktwd", getKtwd())
            .append("ktfs", getKtfs())
            .append("dxzs", getDxzs())
            .toString();
    }
}
